Page MenuHomePhabricator

Define a minimum viable product
Closed, ResolvedPublic

Details

Reference
fl202

Event Timeline

flimport raised the priority of this task from to Needs Triage.Sep 12 2014, 1:30 AM
flimport added a project: Chemical-Markup.
flimport set Reference to fl202.

Rillke wrote on 2014-04-28 05:22:42 (UTC)

gist (hope I got this right): Let's focus on the server-side image scaler integration for this round.

bd808 wrote on 2014-05-05 16:50:24 (UTC)

It would be nice to see this fleshed out a bit. What are the use cases that must be supported for the integration to be worth deploying on Commons? What acceptance criteria can be defined?

Rillke wrote on 2014-05-05 21:12:07 (UTC)

Fully agree. Let me think about that... and then let's talk about it.

Rillke wrote on 2014-05-30 12:21:29 (UTC)

Use cases for the integration to be worth deploying on Commons

  • Uploading molfiles (*.mol, chemical/x-mdl-molfile) possible; MIME type check should properly detect and pass them
  • Ability to convert these uploaded files to raster graphics
    • of sufficient quality
    • in different sizes (image scalers) for preview by a web browser
    • with sufficient performance
    • while they're stashed
    • It's important for Wikimedia Commons maintainers to preview the content without having to download the file.
  • Includable as thumbnails in Wikipedia Articles

Acceptance criteria

  • MVP: See use cases for the integration to be worth deploying on Commons
  • User acceptance:
    • It's used instead of graphics for Structural Formula (acceptance tests).
    • Community is starting to replace graphics with Chemical table files (acceptance tests). A suvey or feedback link on CTF pages could help to further improve the product (conversation).
    • Demand for and interest in server side support (and also for gathering feedback) will be tested on WMFlabs very soon.
    • Demand for a Web-GUI editor could be smoke-tested utilizing a mock.

The project schedule will be updated accordingly.

Goal for midterm evaluation

  • aim for a working proof-of-concept:
    • get the whole pipeline running, even if it only works on a local install, the code isn't clean or tested, etc.
    • just something that shows that all the moving parts can work together from upload to file page with a generated thumbnail
    • second half of the project would be about making it clean, giving it test coverage, and writing all the things necessary for production deployment (presumably things like puppet scripts to deploy the server-side things, production config changes, etc.).
Gilles closed this task as Declined.Oct 7 2014, 9:15 AM

GSoC is over

Gilles changed the task status from Declined to Resolved.Oct 7 2014, 9:15 AM